function [ out ] = V_Arx( theta, U, Y )
%V_ARX [ out ] = V_Arx( theta, u, y )
%
%   return the sum of the square prediction error 
%   of an arx model with na = 2, nb = 1
%
%   INPUT parameter
%       theta: [a1 a2 b1]'
%       u, y : input and output measurement
%

%% initialization parameter
N = length(U);
Yo = [0 0]';  Uo = [NaN 0]';


%% compute predition 
U = [Uo; U]; Yp= Yo; Y = [Yo; Y];
% simulation cycle
for i = 2+(1:N)
    % modello arx
    phi = [Y(i-1) Y(i-2) U(i-1)]; % regressors are a selection of Z = subset of {Y,Y}
    Yp(i) = phi*theta;            % ARX one-step prediction
end
% additional information removal
Y(1:2)=[];
U(1:2)=[]; 
Yp(1:2) = [];

%% evaluate the predition error
e_p = Yp - Y;

out = e_p'*e_p;
out = out/N;
