function [ out ] = V_Oe( theta, U, Y )
%V_ARX [ out ] = V_Oe( theta, u, y )
%
%   return the sum of the square prediction error 
%   of an arx model with nf = 2, nb = 1
%
%   INPUT parameter
%       theta: [f1 f2 b1]'
%       u, y : input and output measurement
%

%% initialization parameter
N = length(U);
Yo = [0 0]'; Uo = [NaN 0]';


%% compute predition 
Yu = Yo; U = [Uo; U];
% simulation cycle
for i = 2+(1:N)
    % modello arx
    phi = [Yu(i-1) Yu(i-2) U(i-1)]; 
    Yu(i) = phi*theta;            
end
% additional information removal
Yu(1:2)=[]; U(1:2)=[];
Yp = Yu; % predictions are equivalent to Yu for OE models

%% evaluate the predition error
e_p = Yp - Y;

out = e_p'*e_p;
out = out/N;
